#%%define _disable_ld_no_undefined   1

Name:		yoshimi
Version:	0.060.12
Release:	%mkrel 4
Summary:	Real-time MIDI software synthesizer
License:	GPLv2+
Group:		Sound/Midi
URL:		http://yoshimi.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:	yoshimi.desktop
Patch0:		yoshimi-0.060.10-fix-str-fmt.patch
Patch1:		yoshimi-0.060.10-fix-permissions.patch
Patch2:		yoshimi-0.060.12-fix-build-gcc-4.7.patch

BuildRequires:	libalsa-devel
BuildRequires:	fltk-devel
BuildRequires:	fftw3-devel
BuildRequires:	libjack-devel
BuildRequires:	mxml-devel
BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	fontconfig-devel
BuildRequires:	libmesaglu-devel
BuildRequires:	libsm-devel

%description
A real-time software synthesizer for Linux with many features, including 
polyphony, multi-timbral and microtonal capabilities. It includes 
randomness of some parameters, which makes warm sounds, like analogue 
synthesizers. The program has system/insertion effects, too.


%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1

%build
cd src
%cmake
%make

%install
rm -rf %{buildroot}
pushd src/build
%makeinstall_std
popd
install -d %{buildroot}/%{_datadir}/applications
install -m 644 %{SOURCE1} %{buildroot}/%{_datadir}/applications/

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.060.12-4.mga4
+ Revision: 529653
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 pterjan <pterjan> 0.060.12-3.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Mon Jan 14 2013 umeabot <umeabot> 0.060.12-3.mga3
+ Revision: 387590
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 0.060.12-2.mga3
+ Revision: 324465
- fix build with gcc-4.7
- update RPM group

* Thu Jun 07 2012 solbu <solbu> 0.060.12-1.mga3
+ Revision: 256674
- New version
- spec cleanup

* Sun Dec 11 2011 eatdirt <eatdirt> 0.060.10-3.mga2
+ Revision: 180472
- Rebuilt for fftw-3.3

* Mon Jul 11 2011 fwang <fwang> 0.060.10-2.mga2
+ Revision: 122137
- more fix
- more patch to build with fltk1.3
- fix build with fltk 1.3
- rebuild for new fltk

* Sun May 01 2011 shikamaru <shikamaru> 0.060.10-1.mga1
+ Revision: 94130
- imported package yoshimi

